Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.management.configuration
Interface WebAppComponentMBean

public interface WebAppComponentMBean
extends ComponentMBean, WebDeploymentMBean

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.management.configuration.DeploymentMBean
`DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Fields inherited from class weblogic.management.configuration.DeploymentMBean
`DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Method Summary
`java.lang.String` | `getAuthRealmName()`
`java.lang.String` | `getDefaultServlet()`
`int` | `getServletReloadCheckSecs()` How often WebLogic checks whether a servlet has been modified, and if so reloads it.
`int` | `getSessionIDLength()`
`int` | `getSingleThreadedServletPoolSize()` Defines the size of the pool used for SingleThreadModle instance pools.
`WebAppComponentRuntimeMBean` | `getWebAppComponentRuntime()` Return an MBean representing the runtime state of this WebApp on a given server.
`boolean` | `isCleanupSessionFilesEnabled()`
`boolean` | `isDebugEnabled()`
`boolean` | `isIndexDirectoryEnabled()` Return whether or not to automatically generate an HTML directory listing if no suitable index file is found
`boolean` | `isServletExtensionCaseSensitive()` FIXME: this is a hack that should be removed according to Adam Treats all .extension except for .html as lower case this is only necessary on WindowsNT.
`boolean` | `isSessionDebuggable()`
`boolean` | `isSessionMonitoringEnabled()` If true, then runtime mbeans will be created for sessions, otherwise, they will not.
`boolean` | `isSessionTrackingEnabled()`
`void` | `setAuthRealmName(java.lang.String name)` Sets the Realm in the Basic Authentication HTTP dialog box which pops up on the browsers
`void` | `setContextPath(java.lang.String p)`
`void` | `setIndexDirectoryEnabled(boolean enable)` Sets whether or not to automatically generate an HTML directory listing if no suitable index file is found
`void` | `setServletExtensionCaseSensitive(boolean enable)`
`void` | `setServletReloadCheckSecs(int secs)`
`void` | `setSessionCacheSize(int size)`
`void` | `setSessionCookieComment(java.lang.String comment)`
`void` | `setSessionCookieDomain(java.lang.String domain)`
`void` | `setSessionCookieMaxAgeSecs(int secs)`
`void` | `setSessionCookieName(java.lang.String name)`
`void` | `setSessionCookiePath(java.lang.String path)`
`void` | `setSessionCookiesEnabled(boolean enable)`
`void` | `setSessionInvalidationIntervalSecs(int secs)`
`void` | `setSessionJDBCConnectionTimeoutSecs(int secs)`
`void` | `setSessionMainAttribute(java.lang.String p)`
`void` | `setSessionMonitoringEnabled(boolean e)`
`void` | `setSessionPersistentStoreDir(java.lang.String dir)`
`void` | `setSessionPersistentStorePool(java.lang.String poolName)`
`void` | `setSessionPersistentStoreShared(boolean enable)`
`void` | `setSessionPersistentStoreType(java.lang.String type)`
`void` | `setSessionSwapIntervalSecs(int secs)`
`void` | `setSessionTimeoutSecs(int secs)`
`void` | `setSessionURLRewritingEnabled(boolean enable)`
`void` | `setSingleThreadedServletPoolSize(int siz)`

Methods inherited from interface weblogic.management.configuration.ComponentMBean
`getApplication, getURI, setApplication`

Methods inherited from interface weblogic.management.configuration.WebDeploymentMBean
`addWebServer, getWebServers, removeWebServer, setWebServers`

Method Detail

### getDefaultServlet

    public java.lang.String getDefaultServlet()

### isIndexDirectoryEnabled

    public boolean isIndexDirectoryEnabled()

  Return whether or not to automatically generate an HTML directory listing if no suitable index file is found

  A configurable MBean attribute
  Default Value: false
  Old Property: weblogic.httpd.indexDirectories

### setIndexDirectoryEnabled

    public void setIndexDirectoryEnabled(boolean enable)

  Sets whether or not to automatically generate an HTML directory listing if no suitable index file is found

  Old Property: weblogic.httpd.indexDirectories
  Throws:
    java.lang.IllegalArgumentException - if the enable argument is null.

### isServletExtensionCaseSensitive

    public boolean isServletExtensionCaseSensitive()

  FIXME: this is a hack that should be removed according to Adam Treats all .extension except for .html as lower case this is only necessary on WindowsNT. See: http://www.weblogic.com/docs/admindocs/properties.html

  Default Value: false
  Old Property: weblogic.httpd.servlet.extensionCaseSensitive

### setServletExtensionCaseSensitive

    public void setServletExtensionCaseSensitive(boolean enable)

### getServletReloadCheckSecs

    public int getServletReloadCheckSecs()

  How often WebLogic checks whether a servlet has been modified, and if so reloads it. -1 is never reload, 0 is always reload

  Default Value: 1
  Old Property: weblogic.httpd.servlet.reloadCheckSecs

### setServletReloadCheckSecs

    public void setServletReloadCheckSecs(int secs)
                                   throws javax.management.InvalidAttributeValueException

### getSingleThreadedServletPoolSize

    public int getSingleThreadedServletPoolSize()

  Defines the size of the pool used for SingleThreadModle instance pools.

  Default Value: 5
  Old Property: weblogic.httpd.servlet.SingleThreadedModelPoolSize

### setSingleThreadedServletPoolSize

    public void setSingleThreadedServletPoolSize(int siz)
                                          throws javax.management.InvalidAttributeValueException

### setAuthRealmName

    public void setAuthRealmName(java.lang.String name)
                          throws javax.management.InvalidAttributeValueException

  Sets the Realm in the Basic Authentication HTTP dialog box which pops up on the browsers

  Default Value: "weblogic"
  Old Property: weblogic.httpd.authRealmName

### getAuthRealmName

    public java.lang.String getAuthRealmName()

### isDebugEnabled

    public boolean isDebugEnabled()

### setSessionURLRewritingEnabled

    public void setSessionURLRewritingEnabled(boolean enable)

### getSessionIDLength

    public int getSessionIDLength()

### setSessionCacheSize

    public void setSessionCacheSize(int size)
                             throws javax.management.InvalidAttributeValueException

### setSessionCookiesEnabled

    public void setSessionCookiesEnabled(boolean enable)

### isSessionTrackingEnabled

    public boolean isSessionTrackingEnabled()

### setSessionCookieComment

    public void setSessionCookieComment(java.lang.String comment)
                                 throws javax.management.InvalidAttributeValueException

### setSessionCookieDomain

    public void setSessionCookieDomain(java.lang.String domain)
                                throws javax.management.InvalidAttributeValueException

### setSessionCookieMaxAgeSecs

    public void setSessionCookieMaxAgeSecs(int secs)
                                    throws javax.management.InvalidAttributeValueException

### setSessionCookieName

    public void setSessionCookieName(java.lang.String name)
                              throws javax.management.InvalidAttributeValueException

### setSessionCookiePath

    public void setSessionCookiePath(java.lang.String path)
                              throws javax.management.InvalidAttributeValueException

### setSessionInvalidationIntervalSecs

    public void setSessionInvalidationIntervalSecs(int secs)
                                            throws javax.management.InvalidAttributeValueException

### setSessionJDBCConnectionTimeoutSecs

    public void setSessionJDBCConnectionTimeoutSecs(int secs)
                                             throws javax.management.InvalidAttributeValueException

### setSessionPersistentStoreDir

    public void setSessionPersistentStoreDir(java.lang.String dir)
                                      throws javax.management.InvalidAttributeValueException

### setSessionPersistentStorePool

    public void setSessionPersistentStorePool(java.lang.String poolName)
                                       throws javax.management.InvalidAttributeValueException

### setSessionPersistentStoreShared

    public void setSessionPersistentStoreShared(boolean enable)

### setSessionPersistentStoreType

    public void setSessionPersistentStoreType(java.lang.String type)
                                       throws javax.management.InvalidAttributeValueException

### setSessionSwapIntervalSecs

    public void setSessionSwapIntervalSecs(int secs)
                                    throws javax.management.InvalidAttributeValueException

### setSessionTimeoutSecs

    public void setSessionTimeoutSecs(int secs)
                               throws javax.management.InvalidAttributeValueException

### isSessionDebuggable

    public boolean isSessionDebuggable()

### isCleanupSessionFilesEnabled

    public boolean isCleanupSessionFilesEnabled()

### setContextPath

    public void setContextPath(java.lang.String p)
                        throws javax.management.InvalidAttributeValueException,
                               DistributedManagementException

### setSessionMainAttribute

    public void setSessionMainAttribute(java.lang.String p)
                                 throws javax.management.InvalidAttributeValueException

### isSessionMonitoringEnabled

    public boolean isSessionMonitoringEnabled()

  If true, then runtime mbeans will be created for sessions, otherwise, they will not.

  Default Value: false

### setSessionMonitoringEnabled

    public void setSessionMonitoringEnabled(boolean e)
                                     throws javax.management.InvalidAttributeValueException

### getWebAppComponentRuntime

    public WebAppComponentRuntimeMBean getWebAppComponentRuntime()

  Return an MBean representing the runtime state of this WebApp on a given server. Return null if the given server is not running or if this WebAppComponent is not deployed on the given server.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD